| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Functions
Wishbone bus master
Low-level Functions

## Description

These functions provide the ability to read and write to the wishbone peripheral bus, which is reserved for modem

These functions are thread-safe.

## Functions
API_EXPORT int CALL_CONV | bladerf_wishbone_master_read (struct bladerf *dev, uint32_t addr, uint32_t *data)
API_EXPORT int CALL_CONV | bladerf_wishbone_master_write (struct bladerf *dev, uint32_t addr, uint32_t val)

## Function Documentation

## ◆ bladerf_wishbone_master_read()

API_EXPORT int CALL_CONV bladerf_wishbone_master_read | ( | struct bladerf * | dev,
|  | uint32_t | addr,
|  | uint32_t * | data )

Read a specific Wishbone Master address

Parameters

  | dev | Device handle
  | addr | Wishbone Master address
  [out] | data | Wishbone Master data

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_wishbone_master_write()

API_EXPORT int CALL_CONV bladerf_wishbone_master_write | ( | struct bladerf * | dev,
|  | uint32_t | addr,
|  | uint32_t | val )

Write value to a specific Wishbone Master address

Parameters

  dev | Device handle
  addr | Wishbone Master address
  data | Wishbone Master data

Returns
  0 on success, value from Error codes list on failure